<template>
  <v-app class="priceArchive">
    <div class="priceArchive__title">
      <h1>Архивация</h1>
    </div>

    <div class="priceArchive__subtitle">
      <h2>Нажмите для получения архива</h2>
    </div>

    <v-btn class="priceArchive__btn" @click="requestReport" style="margin-right: auto">Получить архив</v-btn>

  </v-app>
</template>

<script>
import axios from "axios";

export default {
  name: "PriceArchive",

  methods: {
    async fetchReport() {
      axios
          .post(this.$root.globalVar + '/archive/accountant', { }, {
            responseType: "blob"
          })
          .catch(error => {
            console.log(error)
            alert('Ошибка! Подробности: недостаточно прав.')
          })
          .then(response => {
            console.log("Success", response);
            const blob = new Blob([response.data], {type: 'application/pdf'});
            console.log(blob)
            const objectUrl = URL.createObjectURL(blob);
            console.log(objectUrl);
            const downFile = document.createElement('a')
            downFile.href = objectUrl;
            downFile.download = 'prar.zip';
            document.body.appendChild(downFile);
            downFile.click();
          })
    },

    requestReport() {
      this.fetchReport()
    }
  },

}
</script>

<style lang="scss" scoped>
.priceArchive {
  &__title {
    margin: 60px 0 30px 0;
    text-align: center;
  }

  &__subtitle {
    margin: 0 0 20px 50px
  }

  &__btn {
    margin-left: 50px;
  }
}
</style>